Subject: Re: [PATCHv2 2/2] completion: fix alias listings with newlines

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 9 Oct 2009 07:29:50 -0700

Stephen Boyd <[email-masked]> wrote:
> Aliases with newlines have been a problem since commit 56fc25f (Bash
> completion support for remotes in .git/config., 2006-11-05). The chance
> of the problem occurring has been slim at best, until commit 518ef8f
> (completion: Replace config --list with --get-regexp, 2009-09-11)
> removed the case statement introduced by commit 56fc25f. Before removing
> the case statement, most aliases with newlines would work unless they
> were specially crafted as follows
...
> Hannes has convinced me to go this route. I don't really see a problem, it
> basically reverts to broken behavior that nobody's complained about in 3
> years. At least it's less broken?

Yay.  Given that we have no better solution easily available,
I like the idea of just reverting to the behavior we have had
for the past 3 years.  Thanks.

Acked-by: Shawn O. Pearce <[email-masked]>
 
-- 
Shawn.